Bug 839818 - mcedit: Ctrl+Ins / Shift + Ins shortcuts doesn't work with clipfile
mcedit: Ctrl+Ins / Shift + Ins shortcuts doesn't work with clipfile
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vokal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 19:28 EDT by Jaroslav Škarvada
Modified: 2016-12-20 07:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 07:15:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2012-07-12 19:28:33 EDT
Description of problem:
Ctrl+Ins / Shift + Ins shortcuts doesnt work with clipfile. 

Version-Release number of selected component (if applicable):
mc-4.8.3-1.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start mcedit.
2. Make a MC text selection (i.e. via Shift + arrows).
3. Try copy to clipfile (Ctrl + Ins) and paste from clipfile (Shift + Ins).
  
Actual results:
It doesn't work. The Ctrl + Ins does nothing and the Shift + Ins seems to paste primary selection instead of clipfile. 

Expected results:
Ctrl + Ins stores the MC text selection into clipfile, the Shift + Ins pastes it back.

Additional info:
It works correctly when invoked directly from menu, i.e. F9->Edit->Copy to clipfile or F9->Edit->Paste from clipfile, but the hotkeys suggested in menu doesn't work. This really slows down the work when sharing the larger text among multiple mcedit instances (Ctrl + f / Shift + F5 still works there, but they require one more press of enter key). Tested in gnome-terminal, xterm and urxvt, none works.
Comment 1 Pavel Alexeev 2012-08-11 07:23:06 EDT
Try in plain Linux terminal (without X-server) - it works for me there.
As far I remember MC it always work the same manner.
Comment 2 Jaroslav Škarvada 2012-08-13 05:02:10 EDT
Thanks for info, it works for me from the text console.

But it should work the same way under X (or at least it should work sane way, e.g. use system clipboard for both operation).
Comment 3 Pavel Alexeev 2012-08-18 06:52:59 EDT
I think graphical terminal emulation just does not pass into run applications in it key combinations which they handle itself (or may handle).

You may use system clipboard over MC just use capability of terminal. For example in Konsole you may select text with hold Shift key and then copy it.
Meantime with that way you got other troubles like copying characters indicate tabs and spaces, on past text in mcedit it will very ugly indented and so on... But it more than nothing.
So, if it possible, I also willing that mc integration will be implemented in sane way.
Comment 5 Fedora End Of Life 2013-07-03 22:41:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Jan Kurik 2015-07-15 11:06:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 8 Fedora End Of Life 2016-11-24 05:41:33 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2016-12-20 07:15:11 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.